php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #62843 configure script does not check for libpcre
Submitted: 2012-08-17 06:55 UTC Modified: 2014-08-02 17:47 UTC
From: martijn dot otto at copernica dot com Assigned:
Status: Duplicate Package: oauth (PECL)
PHP Version: Irrelevant OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
21 + 12 = ?
Subscribe to this entry?

 
 [2012-08-17 06:55 UTC] martijn dot otto at copernica dot com
Description:
------------
OAuth depends on libpcre. The configure script does not check for this, which will 
result in a botched build if libpcre is not installed.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-08-02 03:18 UTC] cweiske@php.net
-Status: Open +Status: Duplicate
 [2014-08-02 03:18 UTC] cweiske@php.net
Duplicate of bug #67658.
 [2014-08-02 17:47 UTC] jawed@php.net
Similar to Remi's point about pcre.h (which I agree needs a header check)...libpcre should exist as PHP's dependency regardless of how it's linked?

I can foresee configurations where the header isn't around for but AFAIK libpcre is a core dependency?
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Oct 17 09:03:34 2021 UTC